<?xml version="1.0" encoding="UTF-8"?>
<component id="facturadores_gmfl">
    <type>GRID_DETAIL_FORM_LABEL</type>
    <title>Facturadores</title>
    <rows>150</rows>
    <width>600</width>
    <height>400</height>
    <pbin>gdp.exe</pbin>
    <base_path>..</base_path>
    <clase>
        
        <table>sdm_facturadores</table>
        <id_field>c3_facturador_id</id_field>
        <autoincrement>NO</autoincrement>
        <select_fields>c3_facturador_id,v64_facturador,txt_facturador,ts_in</select_fields>
        <insert_fields>c3_facturador_id,v64_facturador,txt_facturador,ts_in</insert_fields>
        <update_fields>c3_facturador_id,v64_facturador,txt_facturador</update_fields>
        <delete_fields>c3_facturador_id</delete_fields>     
        <needed_fields>c3_facturador_id,v64_facturador</needed_fields>
        <order_by>1</order_by>
        <direction>asc</direction>
        <offset>0</offset>
        <limit>25</limit>              
        <select_labels id="null"></select_labels>
        <associations>NO</associations>
    </clase>
    <grid>
        <columns>c3_facturador_id,v64_facturador,ts_in</columns>
        <column id="c3_facturador_id">
            <properties>
                <type>text</type>
                <data>text</data>                
                <header>ID</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>carga</elements>
            <element id="carga">
                <properties>
                    <type>link</type>
                    <data>text</data>                
                </properties>        
                <events>
                    <onClick>GridOpenWindow(this)</onClick>
                </events>                
            </element>
            <element id="null"></element>                    
            <method id="GridOpenWindow(this)">
                <params>component,clase,left,top,id_field</params>
                <component>gdfl</component>
                <clase>facturador_cargos</clase>
                <left>100</left>
                <top>100</top>
                <id_field>c3_facturador_id</id_field>                
            </method>
            <method id="null"></method>            
        </column>
        <column id="v64_facturador">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>FACTURADOR</header>
                <width>15</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>pagos</elements>
            <element id="pagos">
                <properties>
                    <type>link</type>
                    <data>text</data>                
                </properties>        
                <events>
                    <onClick>GridOpenWindow(this)</onClick>
                </events>                
            </element>
            <element id="null"></element>                  
            <method id="GridOpenWindow(this)">
                <params>component,clase,left,top,id_field</params>
                <component>gdfl</component>
                <clase>facturador_pagos</clase>
                <left>100</left>
                <top>100</top>
                <id_field>c3_facturador_id</id_field>
            </method>
            <method id="null"></method>
        </column>
        <column id="ts_in">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>INGRESADO</header>
                <width>32</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <counter>ON</counter>
        <delete>ON</delete>
        <tdheader_style>font-family:Arial,Helvetica,sans-serif;font-size:10px;font-style:normal;color:#000000;font-weight:normal;font-variant:normal;text-transform:none;background-color:#A4B5C5;text-align:center</tdheader_style>
        <tdbody_style>font-family:Arial,Helvetica,sans-serif;font-size:10px;font-style:normal;color:#000000;font-weight:normal;font-variant:normal;text-transform:none;background-color:#FFFFFF;text-align:left;vertical-align:center</tdbody_style>
    </grid>
</component>